phpize -->NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!

Apache, Lighttpd, nginx, Cherokee
tomotom
Posts: 330
Joined: 2006-09-22 13:37

phpize -->NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!

Post by tomotom » 2007-07-21 10:43

Ich bin dabei eine neue APC Inatllation zu compelieren, da der alte nur bis php 5.1.x geht. Allerdings bekomme beim Aufruf von phpize aus dem APC Verzeichnis heraus so eine eigenartige Meldung, die ich nicht verstehe:
NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!

Code: Select all

server01:/var/www/php-fcgi-scripts/APC-3.0.14# /var/www/php-fcgi-scripts/php5.2.1-fcgi-suhosin/bin/phpize
Configuring for:
PHP Api Version:         20041225
Zend Module Api No:      20060613
Zend Extension Api No:   220060519
NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!
NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!
server01:/var/www/php-fcgi-scripts/APC-3.0.14#
Was bedeutet diese Meldung?

User avatar
Joe User
Project Manager
Project Manager
Posts: 11138
Joined: 2003-02-27 01:00
Location: Hamburg

Re: phpize -->NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!

Post by Joe User » 2007-07-21 10:47

Dein m4 ist zu alt/neu, sollte aber kein allzu grosses Problem darstellen.

tomotom
Posts: 330
Joined: 2006-09-22 13:37

Re: phpize -->NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!

Post by tomotom » 2007-07-21 10:59

Joe User wrote:Dein m4 ist zu alt/neu, sollte aber kein allzu grosses Problem darstellen.
Es scheint die neueste Version zu sein. Im Verhält niss zu was ist es zu neu/alt?

User avatar
Joe User
Project Manager
Project Manager
Posts: 11138
Joined: 2003-02-27 01:00
Location: Hamburg

Re: phpize -->NONE:0: /usr/bin/m4: `__program__' from frozen file not found in builtin table!

Post by Joe User » 2007-07-21 12:19

Die auf Deinem System installierte (älter) und die von APC verwendete (neuer) m4-Versionen unterscheiden sich. In diesem Fall sollte dieser Unterschied keinen nennenswerten Einfluss auf den Build-Prozess haben. Du kannst diese Warnmeldung ersteinmal ignorieren.